#ifndef _Handle_PGeom2d_VectorWithMagnitude_HeaderFile
#define _Handle_PGeom2d_VectorWithMagnitude_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom2d_Vector_HeaderFile
#include <Handle_PGeom2d_Vector.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom2d_Vector);
class PGeom2d_VectorWithMagnitude;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom2d_VectorWithMagnitude);

class Handle(PGeom2d_VectorWithMagnitude) : public Handle(PGeom2d_Vector) {
  public:

    Handle(PGeom2d_VectorWithMagnitude)():Handle(PGeom2d_Vector)() {} 
    Handle(PGeom2d_VectorWithMagnitude)(const Handle(PGeom2d_VectorWithMagnitude)& aHandle) : Handle(PGeom2d_Vector)(aHandle) 
     {
     }

    Handle(PGeom2d_VectorWithMagnitude)(const PGeom2d_VectorWithMagnitude* anItem) : Handle(PGeom2d_Vector)((PGeom2d_Vector *)anItem) 
     {
     }

    Handle(PGeom2d_VectorWithMagnitude)& operator=(const Handle(PGeom2d_VectorWithMagnitude)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom2d_VectorWithMagnitude)& operator=(const PGeom2d_VectorWithMagnitude* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom2d_VectorWithMagnitude* operator->() const 
     {
      return (PGeom2d_VectorWithMagnitude *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom2d_VectorWithMagnitude) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
